Skip to main content
GET
/
v1
/
profile
Retrieve a profile
curl --request GET \
  --url https://api.wavix.com/v1/profile \
  --header 'Authorization: Bearer <token>'
{
  "id": 1,
  "email": "info@awesome.com",
  "first_name": "example",
  "last_name": "example",
  "phone": "+12025550123",
  "additional_info": "example",
  "contact_email": "example",
  "timezone": "example",
  "job_title": "example",
  "default_short_link_endpoint": "example",
  "default_destinations": [
    {
      "transport": "example",
      "value": "example"
    }
  ],
  "company_info": {
    "name": "example",
    "industry": "telecommunications",
    "address": "example",
    "attn_contact_name": "example",
    "vat_number": "example",
    "country": {
      "country_name": "example",
      "country_id": 123
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer token using appid (Authorization: Bearer )

Response

Profile details.

id
integer<int32>
required

Account ID.

Example:

1

email
string
required

Email associated with the account.

Example:

"info@awesome.com"

first_name
string
required

Account owner's first name.

Example:

"Jason"

last_name
string
required

Account owner's last name.

Example:

"Androux"

phone
string
required

Account owner's phone number.

Example:

"13291019312"

additional_info
string
required

Additional info associated with the account.

Example:

"Additional info"

contact_email
string
required

Additional email address for billing notifications.

Example:

"billing@awesome.com"

timezone
string
required

Timezone configured on the account.

Example:

"Pacific/Wallis"

job_title
string
required

Account owner's job title.

Example:

"Manager"

Default short link endpoint.

Example:

"https://short.examples.com"

default_destinations
object[]
required

Default destinations configured for the account.

Example:
[
  {
    "transport": "sms",
    "value": "https://webhook.address.com/inboundSMS"
  }
]
company_info
object
required

Company details.